# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-AnyEvent-BDB
Version:	1.1
Release:	42.%{__distinit}%{__distvers}
Summary:	Truly asynchronous Berkeley DB access
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/AnyEvent-BDB
Source0:	https://cpan.metacpan.org/modules/by-module/AnyEvent/AnyEvent-BDB-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(AnyEvent)
BuildRequires:	perl(base)
BuildRequires:	perl(BDB)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
# (no additional dependencies)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
This module is an AnyEvent user; you need to make sure that you use and run
a supported event loop.

%prep
%setup -q -n AnyEvent-BDB-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYING
%doc README
%{perl_vendorlib}/AnyEvent/
%{_mandir}/man3/AnyEvent::BDB.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 1.1-42
- Use SPDX-format license tag
- Use %%licence unconditionally

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 1.1-29
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Thu Aug  4 2016 Paul Howarth <paul@city-fan.org> - 1.1-19
- Classify buildreqs by usage
- Simplify find command using -delete

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 1.1-15
- Use %%license where possible

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 1.1-8
- BR: perl(base) and perl(Exporter)
- Don't need to remove empty directories from the buildroot
- Drop %%defattr, redundant since rpm 4.4

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> - 1.1-6
- Rebuild for perl 5.14.1 in Rawhide
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jan 21 2011 Paul Howarth <paul@city-fan.org> - 1.1-5
- Import from Fedora

* Tue Dec 14 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1-4
- Rebuild to fix problems with vendorarch/lib (#661697)

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.1-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.1-2
- Rebuild against perl 5.10.1

* Wed Jul 29 2009 kwizart < kwizart at gmail.com > - 1.1-1
- Update to 1.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 28 2008 kwizart < kwizart at gmail.com > - 1.0-1
- Initial package
